org.apache.ignite.internal.management.tx

## Class TxCommand

- java.lang.Object
- - org.apache.ignite.internal.management.api.CommandRegistryImpl<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>
  - - org.apache.ignite.internal.management.tx.TxCommand

All Implemented Interfaces:
  Command<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>, CommandsRegistry<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>, ComputeCommand<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>

    public class TxCommand
    extends CommandRegistryImpl<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>
    implements ComputeCommand<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>

### Nested Class Summary

Nested Classes
`static class` `TxCommand.AbstractTxCommandArg`

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`TxCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<TxCommandArg>` `argClass()`
`String` `confirmationPrompt(TxCommand.AbstractTxCommandArg arg)`
`String` `description()` Command description.
`void` `printResult(TxCommand.AbstractTxCommandArg arg0, Map<ClusterNode,TxTaskResult> res, Consumer<String> printer)` Prints command result to the user.
`Class<TxTask>` `taskClass()`

### Methods inherited from class org.apache.ignite.internal.management.api.CommandRegistryImpl

`command, commands, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`nodes`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`deprecationMessage`

### Constructor Detail

#### TxCommand

    public TxCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>`
Specified by:
  `description` in interface `CommandsRegistry<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>`

#### argClass

    public Class<TxCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>`
Specified by:
  `argClass` in interface `CommandsRegistry<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>`
Returns:
  Arguments class.

#### taskClass

    public Class<TxTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>`
Returns:
  Task class.

#### printResult

    public void printResult(TxCommand.AbstractTxCommandArg arg0,
                            Map<ClusterNode,TxTaskResult> res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>`
Parameters:
  `arg0` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.

#### confirmationPrompt

    public String confirmationPrompt(TxCommand.AbstractTxCommandArg arg)

Specified by:
  `confirmationPrompt` in interface `Command<TxCommand.AbstractTxCommandArg,Map<ClusterNode,TxTaskResult>>`
Parameters:
  `arg` - Command argument.
Returns:
  Message text to show user for. If `null` it means that confirmation is not needed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023